These patches are designed for kernel version 5.18.0 but have been seen to work on versions 5.18.3, 5.18.8, 5.18.10 and probably others as well.

Added kernel self tests are located in the `tools/testing/selftests` and can be build using `make`. The source file `vm/mremap_test.c` contains *Expand merge test* among other tests, that are not part of this thesis, the file `vm/merge_tests.c` contains all the other tests described below. They can be both executed by using the built binaries of the same name, `vm/mremap_test` and `vm/merge_tests` respectively.